--- title: "Add Training Material" url: https://docs.catalyst.zoho.com/en/api/code-reference/convokraft/add-training-material/ description: "This API is used to add training URLs to the SmartTrain feature in ConvoKraft." last_updated: 2026-08-17T12:16:04Z service: ConvoKraft type: api --- # Add Training Material This API enables you to upload custom training materials to SmartTrain, allowing the ConvoKraft bot to train automatically. You can provide web URLs of the training materials hosted on any third-party platform either in the HTML or TXT format. Once uploaded, the bot processes the content and uses it to respond to relevant queries. You can introduce this functionality in your Catalyst application using the API below. ### Request Details #### Request URL `POST` {api-domain}/convokraft/api/v1/bots/{botid}/rag_training_data?type=DEVELOPED - **api-domain** (URL): The DC-specific domain to access Catalyst API - **project_id** (Numerical): The [unique ID](https://docs.catalyst.zoho.com/en/getting-started/set-up-a-catalyst-project/general-settings/) of the project in which the bot has been created - **botid** (Numerical): The unique ID of the ConvoKraft bot > **Note:** 1. The query parameter `type=DEVELOPED` is used to indicate that the bot is in the developed state within the ConvoKraft service. 2. You can fetch the `botid` directly from the URL in the ConvoKraft service when the environment is set to Development in the console. For example : https://console.catalyst.zoho.com/baas/v1/project/183272829220/Development#/convokraft/bots/3828281991118 Here, **3828281991118** is the `botid`. #### Scope ZIAPlatform.Convokraft.RAG.CREATE #### Request Headers **Authorization:** Zoho-oauthtoken {oauth_token} **Content-Type:** application/json **CATALYST-ORG:** {org_id} **X-CATALYST-projectid:** {project id} **X-CATALYST-Environment:** Development > **Note:** The request header `CATALYST-Environment: Development` indicates that the API operation should be performed on the bot within the [Catalyst Development environment](https://docs.catalyst.zoho.com/en/deployment-and-billing/environments/development-environment/). #### Request JSON Properties - **rag_training_data** (String, mandatory): Provide the full URL of the training material pointing to **.html** or **.txt**. - **title** (String, optional): Provide the title of the training material. ### Response Details This API provides the status of the training material upload process, including the status code and message. It also returns the URLs of the uploaded materials along with a unique ID assigned by ConvoKraft for each URL. **Sample Request** ```bash curl -X POST \ https://api.catalyst.zoho.com/baas/v1/project/4000000006007/convokraft/api/v1/bots/92738220219110/rag_training_data?type=DEVELOPED \ -H 'Authorization: Zoho-oauthtoken 1000.910*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*16.2f*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*57' \ -H 'Content-Type: application/json' \ -H 'CATALYST-ORG: 372822922' \ -H 'X-CATALYST-projectid: 2728172727718' \ -H 'X-CATALYST-Environment: "Development"' \ -\-data '{ "rag_training_data": [ { "url": "https://www.apple.com/iphone-15", "title": "Iphone 15 Specifications" }, { "url": "https://www.apple.com/iphone-11/", "title": "Iphone 11 Specifications" } ] }' ``` **Sample Response** ```json { "status": "SUCCESS", "code": "SUCCESS", "message": "File upload in progress", "info": { "files": [ { "id": "2000000028005", "url": "https://www.apple.com/iphone-15/" }, { "id": "2000000028007", "url": "https://www.apple.com/iphone-11/" }, ] } } ```